<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="utilisateur">
        <h2 class="jh-entity-heading" data-cy="utilisateurDetailsHeading">
          <span v-text="$t('coopcycleApp.utilisateur.detail.title')">Utilisateur</span> {{ utilisateur.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('coopcycleApp.utilisateur.nomUtilisateur')">Nom Utilisateur</span>
          </dt>
          <dd>
            <span>{{ utilisateur.nomUtilisateur }}</span>
          </dd>
          <dt>
            <span v-text="$t('coopcycleApp.utilisateur.age')">Age</span>
          </dt>
          <dd>
            <span>{{ utilisateur.age }}</span>
          </dd>
          <dt>
            <span v-text="$t('coopcycleApp.utilisateur.addresse')">Addresse</span>
          </dt>
          <dd>
            <span>{{ utilisateur.addresse }}</span>
          </dd>
          <dt>
            <span v-text="$t('coopcycleApp.utilisateur.role')">Role</span>
          </dt>
          <dd>
            <span v-text="$t('coopcycleApp.Role.' + utilisateur.role)">{{ utilisateur.role }}</span>
          </dd>
          <dt>
            <span v-text="$t('coopcycleApp.utilisateur.course')">Course</span>
          </dt>
          <dd>
            <div v-if="utilisateur.course">
              <router-link :to="{ name: 'CourseView', params: { courseId: utilisateur.course.id } }">{{
                utilisateur.course.id
              }}</router-link>
            </div>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="utilisateur.id"
          :to="{ name: 'UtilisateurEdit', params: { utilisateurId: utilisateur.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./utilisateur-details.component.ts"></script>
